Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004738TestLinkReportspublic2011-09-07 20:122014-07-28 20:31
ReporterJP 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.1 (bug fixing) 
Fixed in Version1.9.11 (2014 Q2 - bug fixing) 
Summary0004738: "Last Build" on Test result matrix takes the wrong build as being last
DescriptionHow is the "Last Build" in “Test result matrix” determined?

When I added the new builds, my very first build stayed at the bottom in the Builds list and new ones were ordered correctly per build number above the first one. Note, I changed the build numbering scheme as of the second build (see attached "Builds" capture).

In the results matrix I notice the "Last build" column matched the results from Build 1 and not the last build I added (2.4 Build 38021) (attached "Out of order Results" capture).

Let me know if I am misinterpreting the "Last Build" and "Last Execution"
Steps To ReproduceThese are steps based on what I think might be causing the issue (inconsistent Bld numbering:
1. Create a Test Plan
2. Create a build -- "2.4.0 Bld1"
3. Execute a few TCs (TC1-F, TC2-P, TC3-F, TC4-F)
4. Create a build -- "2.4 Bld 250"
5. Execute TCs (TC3-P, TC4-P)
6. Create a build -- "2.4 Bld 255"
7. Execute a few TCs (TC2-F)

It seems, because of the build numbering, it assumes "2.4.0 Bld1" is the last build and matches results accordingly.
TagsNo tags attached.
Database (MySQL,Postgres,etc)N/A
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Filespng file icon Builds.PNG [^] (74,000 bytes) 2011-09-07 20:12


png file icon Out of Order Results.PNG [^] (87,922 bytes) 2011-09-07 20:12

- Relationships
child of 0006313closedfman Availables hot-fixes for 1.9.10 & How To get full fixed package from gitorious 

-  Notes
(0015809)
fman (administrator)
2011-09-07 21:28

Reminder sent to: asimon

Please point user to right definition of last build, or add explanation.
is really urgent

thanks
(0015811)
asimon (developer)
2011-09-08 09:07

At the moment, the builds are sorted "naturally" by their given name. This means (like visible in the above example) that the system determines build "2.4.0 Build1" to be newer than "2.4 Build 36658".

The problem here is that it depends on the naming scheme of the builds if TestLink manages to sort them correctly or not. For example, if you rename the build "2.4.0 Build1" to "2.4 Build 1" (or maybe even "2.4 Build 00001") it should be correctly recognized as the oldest (first) build. This is what I can recommend you as a workaround.

If we changed the ordering mechanism to sort by build ID, it could go wrong in other cases. I see no perfect sorting mechanism here which would be correct in every scenario...
(0015812)
JP (reporter)
2011-09-08 19:28

Ok, I understand. I realized the issue was the inconsistent build numbering but figured I should bring it up just in case others trip on the same.

I was wondering if the date the build was created on could be the sort order but not sure if that is stored or not. Just a suggestion.
(0015835)
geraldine (reporter)
2011-09-20 14:55

Hi
We have just noticed this as well - we base our build names around the phase name + a number).
We have Elaboration (E builds e.g. E1/E2/E3) - our followed by Construction (C builds - e.g. C1/C2/C3)
Sp e.g. we have a build called E3 which should be view as earlier than e.g. C2, instead E3 is being taken as the latest build.
Can the builds be sorted by date rather than by name ?
(0021233)
fman (administrator)
2014-07-10 07:48

>> Can the builds be sorted by date rather than by name ?
what date? creation date ?
(0021261)
fman (administrator)
2014-07-13 10:48

new config option added:

// ORDER BY sql clause, refers to builds table columns
$tlCfg->resultMatrixReport->buildOrderByClause = " ORDER BY name ASC";

change on custom_config.inc.php if needed
(0021262)
fman (administrator)
2014-07-13 10:50

https://gitorious.org/testlink-ga/testlink-code/commit/83fe08b6b52b793855b9d62ee780762be8da1cd2 [^]

- Issue History
Date Modified Username Field Change
2011-09-07 20:12 JP New Issue
2011-09-07 20:12 JP File Added: Builds.PNG
2011-09-07 20:12 JP File Added: Out of Order Results.PNG
2011-09-07 21:28 fman Note Added: 0015809
2011-09-08 09:07 asimon Note Added: 0015811
2011-09-08 19:28 JP Note Added: 0015812
2011-09-20 14:55 geraldine Note Added: 0015835
2014-07-10 07:48 fman Note Added: 0021233
2014-07-13 10:48 fman Note Added: 0021261
2014-07-13 10:48 fman QA Team - Task Workflow Status => TBD
2014-07-13 10:48 fman Fixed in Version => 1.9.11 (2014 Q2 - bug fixing)
2014-07-13 10:50 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2014-07-13 10:50 fman Note Added: 0021262
2014-07-13 10:50 fman Status new => resolved
2014-07-13 10:50 fman Resolution open => fixed
2014-07-13 10:50 fman Assigned To => fman
2014-07-13 10:50 fman Relationship added child of 0006313
2014-07-28 20:31 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker